import * as React from 'react';
import { StyleProp, TextStyle, View, ViewStyle } from 'react-native';
import type { $RemoveChildren } from '../../types';
declare const _default: React.ComponentType<Pick<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>, "style" | "title" | "pointerEvents" | "color" | "onLayout" | "onPress" | "testID" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "hitSlop" | "removeClippedSubviews" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "titleStyle" | keyof React.RefAttributes<View> | "subtitle" | "subtitleStyle" | "titleRef" | "allowTitleFontScaling" | "allowSubtitleFontScaling"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>> & React.ForwardRefExoticComponent<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>>, {}>;
export default _default;
declare const AppbarContentWithTheme: React.ComponentType<Pick<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>, "style" | "title" | "pointerEvents" | "color" | "onLayout" | "onPress" | "testID" | "nativeID" | "accessible" | "accessibilityActions" | "accessibilityLabel" | "accessibilityRole" | "accessibilityState" | "accessibilityHint" | "accessibilityValue" | "onAccessibilityAction" | "accessibilityLiveRegion" | "importantForAccessibility" | "accessibilityElementsHidden" | "accessibilityViewIsModal" | "onAccessibilityEscape" | "onAccessibilityTap" | "onMagicTap" | "accessibilityIgnoresInvertColors" | "hitSlop" | "removeClippedSubviews" | "collapsable" | "needsOffscreenAlphaCompositing" | "renderToHardwareTextureAndroid" | "focusable" | "shouldRasterizeIOS" | "isTVSelectable" | "hasTVPreferredFocus" | "tvParallaxProperties" | "tvParallaxShiftDistanceX" | "tvParallaxShiftDistanceY" | "tvParallaxTiltAngle" | "tvParallaxMagnification" | "onStartShouldSetResponder" | "onMoveShouldSetResponder" | "onResponderEnd" | "onResponderGrant" | "onResponderReject" | "onResponderMove" | "onResponderRelease" | "onResponderStart" | "onResponderTerminationRequest" | "onResponderTerminate" | "onStartShouldSetResponderCapture" | "onMoveShouldSetResponderCapture" | "onTouchStart" | "onTouchMove" | "onTouchEnd" | "onTouchCancel" | "onTouchEndCapture" | "titleStyle" | keyof React.RefAttributes<View> | "subtitle" | "subtitleStyle" | "titleRef" | "allowTitleFontScaling" | "allowSubtitleFontScaling"> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>> & React.ForwardRefExoticComponent<$RemoveChildren<typeof View> & {
    /**
     * Custom color for the text.
     */
    color?: string | undefined;
    /**
     * Text for the title.
     */
    title: React.ReactNode;
    /**
     * Style for the title.
     */
    titleStyle?: StyleProp<TextStyle>;
    /**
     * Reference for the title.
     */
    titleRef?: React.RefObject<Text> | undefined;
    /**
     * Text for the subtitle.
     */
    subtitle?: React.ReactNode;
    /**
     * Style for the subtitle.
     */
    subtitleStyle?: StyleProp<TextStyle>;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     *  Title uses font scaling
     */
    allowTitleFontScaling?: boolean | undefined;
    /**
     * Subtitle uses font scaling
     */
    allowSubtitleFontScaling?: boolean | undefined;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
} & React.RefAttributes<View>>, {}>;
export { AppbarContentWithTheme as AppbarContent };
