import * as React from 'react';
import { StyleProp, View, ViewStyle } from 'react-native';
import { IconSource } from '../Icon';
declare const _default: React.ComponentType<Pick<Pick<import("react-native").ViewProps & React.RefAttributes<View> & {
    /**
     * The label text of the item.
     */
    label: React.ReactNode;
    /**
     * Icon to display for the `DrawerItem`.
     */
    icon?: IconSource | undefined;
    /**
     * Whether to highlight the drawer item as active.
     */
    active?: boolean | undefined;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number | undefined;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    /**
     * Accessibility label for the button. This is read by the screen reader when the user taps the button.
     */
    accessibilityLabel?: string | undefined;
    /**
     * Callback which returns a React element to display on the right side. For instance a Badge.
     */
    right?: ((props: {
        color: string;
    }) => React.ReactNode) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
}, "label" | "numberOfLines" | "onPress" | "icon" | "right" | "key" | keyof import("react-native").ViewProps | "theme" | "active"> & React.RefAttributes<View>, "label" | "numberOfLines" | "onPress" | "icon" | "right" | keyof import("react-native").ViewProps | "active" | keyof React.RefAttributes<View>> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<Pick<import("react-native").ViewProps & React.RefAttributes<View> & {
    /**
     * The label text of the item.
     */
    label: React.ReactNode;
    /**
     * Icon to display for the `DrawerItem`.
     */
    icon?: IconSource | undefined;
    /**
     * Whether to highlight the drawer item as active.
     */
    active?: boolean | undefined;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number | undefined;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    /**
     * Accessibility label for the button. This is read by the screen reader when the user taps the button.
     */
    accessibilityLabel?: string | undefined;
    /**
     * Callback which returns a React element to display on the right side. For instance a Badge.
     */
    right?: ((props: {
        color: string;
    }) => React.ReactNode) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
}, "label" | "numberOfLines" | "onPress" | "icon" | "right" | "key" | keyof import("react-native").ViewProps | "theme" | "active"> & React.RefAttributes<View>> & React.ForwardRefExoticComponent<Pick<import("react-native").ViewProps & React.RefAttributes<View> & {
    /**
     * The label text of the item.
     */
    label: React.ReactNode;
    /**
     * Icon to display for the `DrawerItem`.
     */
    icon?: IconSource | undefined;
    /**
     * Whether to highlight the drawer item as active.
     */
    active?: boolean | undefined;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number | undefined;
    /**
     * Function to execute on press.
     */
    onPress?: (() => void) | undefined;
    /**
     * Accessibility label for the button. This is read by the screen reader when the user taps the button.
     */
    accessibilityLabel?: string | undefined;
    /**
     * Callback which returns a React element to display on the right side. For instance a Badge.
     */
    right?: ((props: {
        color: string;
    }) => React.ReactNode) | undefined;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
}, "label" | "numberOfLines" | "onPress" | "icon" | "right" | "key" | keyof import("react-native").ViewProps | "theme" | "active"> & React.RefAttributes<View>>, {}>;
export default _default;
