import * as React from 'react';
import { StyleProp, View, ViewStyle } from 'react-native';
declare type Props = React.ComponentPropsWithRef<typeof View> & {
    /**
     * Title to show as the header for the section.
     */
    title?: string | JSX.Element;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number;
    /**
     * Content of the `Drawer.Section`.
     */
    children: React.ReactNode;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
};
declare const _default: React.ComponentType<Pick<import("react-native").ViewProps & React.RefAttributes<View> & {
    /**
     * Title to show as the header for the section.
     */
    title?: string | JSX.Element | undefined;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number | undefined;
    /**
     * Content of the `Drawer.Section`.
     */
    children: React.ReactNode;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
}, "title" | "numberOfLines" | keyof import("react-native").ViewProps | keyof React.RefAttributes<View>> & {
    theme?: import("@callstack/react-theme-provider").$DeepPartial<ReactNativePaper.Theme> | undefined;
}> & import("@callstack/react-theme-provider/typings/hoist-non-react-statics").NonReactStatics<React.ComponentType<import("react-native").ViewProps & React.RefAttributes<View> & {
    /**
     * Title to show as the header for the section.
     */
    title?: string | JSX.Element | undefined;
    /**
     * Number of lines to display for text, defaults to 1.
     */
    numberOfLines?: number | undefined;
    /**
     * Content of the `Drawer.Section`.
     */
    children: React.ReactNode;
    style?: StyleProp<ViewStyle>;
    /**
     * @optional
     */
    theme: ReactNativePaper.Theme;
}> & {
    ({ children, title, theme, style, numberOfLines, ...rest }: Props): JSX.Element;
    titleElement(title: string | JSX.Element | undefined, theme: ReactNativePaper.Theme, numberOfLines: number | undefined): JSX.Element;
    displayName: string;
}, {}>;
export default _default;
